## twisted 1.3.0

=== sandbox/warner/Makefile ===
--- 
+++ 
@@ -6,8 +6,11 @@
 	lore -p --config template=../../doc/howto/template.tpl \
 		--config ext=.html $<
 
+TEST=test_banana test_schema test_pb
 test:
-	../../bin/trial -v test_banana test_schema test_pb
+	../../bin/trial -v $(TEST)
+test2:
+	../../bin/trial -o $(TEST)
 
 clean:
 	rm -f *~ *.pyc *.xhtml
