## twisted 2.2.0-2ubuntu1

=== debian/changelog ===
twisted (2.2.0-2ubuntu1) dapper; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Apr 2006 23:58:53 +0000

twisted (2.2.0-2) unstable; urgency=low

  * Fix classname in python/dispatch.py (closes: #359225).
  * Fix spelling errors in man pages (closes: #355227).
  * Drop conflicts on packages not tested with twisted >= 2.0 (closes: #359179).

 -- Matthias Klose <doko@debian.org>  Fri, 14 Apr 2006 23:25:37 +0000

twisted (2.2.0-1ubuntu1) dapper; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Feb 2006 22:52:47 +0000

twisted (2.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Feb 2006 08:28:04 +0100

twisted (2.1.0-4ubuntu1) dapper; urgency=low

  * Drop python2.3 packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 13:07:38 +0000

twisted (2.1.0-4) unstable; urgency=low

  * Fix typo in versioned dependencies on *-conch packages (closes: #349627).
  * Fix location of the core documentation in the doc-base file.
    Closes: #349627.

 -- Matthias Klose <doko@debian.org>  Thu,  2 Feb 2006 15:39:10 +0000

twisted (2.1.0-3) unstable; urgency=low

  * Rename python-twisted to python-twisted-core; python-twisted is now
    a transitional package, depending on python-twisted-core and all
    twisted modules, which were split out into separate packages.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2006 17:56:16 +0100

twisted (2.1.0-2) unstable; urgency=low

  * debian/copyright: Include copyright for python 2.3; some 2.3 files
    are included in the upstream tarball, but not in the binary packages.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Jan 2006 19:59:05 +0100

twisted (2.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Jan 2006 22:07:22 +0000

twisted (2.0.1-4) unstable; urgency=low

  * Fix doc symlinks (closes: #313313).
  * Remove conflict with supyb, requested by the supyb maintainer.
  * Suggest python-wxgtk2.4 | python-wxgtk2.6.
  * Fix man page symlinks (closes: #326021, #314508, #315307, #323551).
  * Fix location of the tutorial in the doc-base file (closes: #318167).
  * python-twisted: Add dependency on python-soappy (closes: #317290).

 -- Matthias Klose <doko@debian.org>  Thu,  1 Sep 2005 15:49:29 +0200

twisted (2.0.1-3) unstable; urgency=low

  * Drop python2.2 packages, build python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 19:05:59 +0200

twisted (2.0.1-2) unstable; urgency=low

  * Reupload as -2, -1 is sticking in the NEW queue from a hijack attempt.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 18:41:05 +0200

twisted (2.0.1-1) unstable; urgency=low

  * New upstream version, built from the sumo tarball.
  * (Build-)depend on zope-interface.
  * Explicitely conflict with all current packages depending on
    python-twisted and python-twisted-conch. Please check for
    compatibility first.
  * Do provide menu entries for the default version only.
  * Empty twisted-doc-api package at the moment.
  * Use debhelper for the packaging.
  * Change priority to optional.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 14:52:40 +0200

twisted (1.3.0-8) unstable; urgency=low

  * Fix the fix in gtk2reactor.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Feb 2005 14:45:43 +0100

twisted (1.3.0-7) unstable; urgency=low

  * Conditionally import the profile module (closes: #294493).
  * Add suggestions to the python-profiler package.
  * Suppress gtk2 user warning in gtk2reactor (closes: #291310).

 -- Matthias Klose <doko@debian.org>  Thu, 10 Feb 2005 13:12:20 +0100

twisted (1.3.0-6) unstable; urgency=medium

  * Fix two bad mail-related bugs, which are really harmful for the
    scalemail application (Tommi Virtanen):
    - insufficient error handling in mail delivery, causing mail loss
      (fixed by r12036)
    - unable to send mail from <> (fixed by r12767, which broke receiving
      mail from <>, which is fixed in r12858).
    Closes: #289993.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 23:49:03 +0100

twisted (1.3.0-5) unstable; urgency=low

  * Fix memory leak in _c_urlarg.c (closes: #284818).
  * python2.3-twisted: Add python-glade-1.2 python-gtk-1.2 suggests.
    Closes: #283238.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Dec 2004 19:23:11 +0100

twisted (1.3.0-4) unstable; urgency=low

  * Fix package recommendations.
  * twisted/xish/domish.py: Add fixes for jabber protocol implementation.
    Alexandre Fayolle. Closes: #273141.

 -- Matthias Klose <doko@debian.org>  Wed,  6 Oct 2004 08:06:47 +0200

twisted (1.3.0-3) unstable; urgency=medium

  * twisted-doc-api: Add link to docs (closes: #255888).
  * twisted-doc: Rename examples/xindex.html (closes: #255887).
  * twisted-doc: Include the Twisted tutorial (closes: #256598).
  * Install the PDF version of the Twisted Book, not the PostScript version.
  * python-twisted: Recommend the python-serial package.
  * Fix nmea protocol failing when checksums turned off (closes: #243136).
  * Add support for bool types in Twisted Serialize module (python2.3 only).
    Closes: #217053.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Aug 2004 15:31:36 +0200

twisted (1.3.0-2) unstable; urgency=low

  * Fix links in twisted-doc's index.html (closes: #255548).

 -- Matthias Klose <doko@debian.org>  Mon, 21 Jun 2004 22:01:11 +0200

twisted (1.3.0-1) unstable; urgency=low

  * New upstream version.
  * Hijacking the package.
    See http://lists.debian.org/debian-qa/2004/06/msg00070.html.
  * Fix doc-base file (closes: #220698, #220699).
  * html files are included as .html, not .xhtml (closes: #192600).
  * Make package descriptions more verbose (closes: #209816).
  * Fix some lintian errors.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jun 2004 00:54:55 +0200

twisted (1.2.0-1.1) unstable; urgency=low

  * NMU.

