=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 4.2), python2.4-dev, python2.4-zopeinterface, python, patch
Standards-Version: 3.6.1

Package: python-twisted-core
Architecture: all
Depends: ${python:Depends}, python-zopeinterface
Suggests: python-tk, python-gtk2, python-glade-1.2, python-glade2, python-qt3, python-wxgtk2.4 | python-wxgtk2.6, python-profiler
Recommends: python-pyopenssl, python-pam, python-serial
Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4)
Replaces: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4)
Description: Event-based framework for internet applications (dummy package)
 This is a dummy package that depends on the twisted library for the
 default version of Python.
 .
 It replaces the "twisted" package, which was non-policy compliant.

Package: python2.4-twisted-core
Architecture: all
Depends: ${python:Depends}, python2.4-twisted-bin, python2.4-zopeinterface
Suggests: python2.4-tk, python2.4-gtk2, python2.4-glade2, python2.4-qt3, twisted-doc, python2.4-twisted-conch, python2.4-profiler
Replaces: python2.1-twisted, python2.4-twisted (<< 2.1.0-4)
Conflicts: python2.4-twisted (<< 2.1.0-4)
Recommends: python2.4-pyopenssl, python2.4-pam
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 . 
 This version is usable with python2.4

Package: python2.4-twisted-bin
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 . 
 This package contains the architectures specific files for python2.4-twisted

Package: twisted-doc
Section: doc
Architecture: all
Suggests: twisted
Recommends: www-browser | postscript-viewer | pdf-viewer, twisted-doc-api
Description: The official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: twisted-doc-api
Section: doc
Architecture: all
Depends: twisted-doc
Description: The auto-generated API docs of Twisted
 Epydoc-generated HTML API docs of Twisted classes, modules and functions.
 .
 Twisted is an event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted
Architecture: all
Depends: ${python:Depends}, python-twisted-core (>= 2.1), python-twisted-conch (>= 1:0.6), python-twisted-mail (>= 0.2), python-twisted-lore (>= 0.1), python-twisted-names (>= 0.2), python-twisted-news (>= 0.1), python-twisted-runner (>= 0.1), python-twisted-web (>= 0.5), python-twisted-words (>= 0.3)
Description: Event-based framework for internet applications (transitional package)
 This is a transitional package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.

Package: python2.4-twisted
Architecture: all
Depends: python2.4-twisted-core (>= 2.1), python2.4-twisted-conch (>= 1:0.6), python2.4-twisted-mail (>= 0.2), python2.4-twisted-lore (>= 0.1), python2.4-twisted-names (>= 0.2), python2.4-twisted-news (>= 0.1), python2.4-twisted-runner (>= 0.1), python2.4-twisted-web (>= 0.5), python2.4-twisted-words (>= 0.3)
Description: Event-based framework for internet applications (transitional package)
 This is a transitional package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.
