=== debian/rules ===
#! /usr/bin/make -f

SHELL = /bin/bash

# all versions
PYVERS=$(subst -dev,,\
           $(subst python,,\
             $(filter python%-dev,\
               $(shell sed -n '/^Build-Depends/s/,//gp' debian/control))))

# default version
VER := $(shell /usr/bin/python -c 'import sys; print sys.version[:3]')

gamesdir = debian/twisted-quotes/usr/share/games/fortunes

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
	touch $@
build-python%:
	python$* setup.py build
	touch $@

clean:
	rm -rf *-stamp build-python* build
	rm -rf $(addprefix debian/,$(packages)) debian/files debian/substvars
	rm -rf _trial_temp test.log
	find . -name "*.pyc" |xargs -r rm
	dh_clean

install: build-stamp install-prereq $(PYVERS:%=install-python%) install-nover

install-prereq: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%: install-prereq
	: # python-$*-twisted-core
	python$* setup.py install --prefix=debian/python$*-twisted-core/usr
	-find debian/python$*-twisted-core -name '*.py[co]' | xargs rm -f
	for i in debian/python$*-twisted-core/usr/bin/*; do \
	  mv $$i $${i}$*; \
	done
	mkdir -p debian/python$*-twisted-core/usr/share/man/man1
	for i in doc/man/{manhole,*tap*,trial,twistd}.1; do \
	  iv=`basename $$i .1`$*.1; \
	  cp -p $$i debian/python$*-twisted-core/usr/share/man/man1/$$iv; \
	done
	case $* in \
	  1.5|2.0|2.1|2.2) ;; \
	  *) rm -rf debian/python$*-twisted-core/usr/lib/python$*/site-packages/twisted/python/pymodules; \
	esac

	: # python-$*-twisted-bin
	dh_movefiles -ppython$*-twisted-bin \
	  --sourcedir=debian/python$*-twisted-core \
	    usr/lib/python$*/site-packages/twisted/protocols/_c_urlarg.so \
	    usr/lib/python$*/site-packages/twisted/spread/cBanana.so

	: # Replace all '#!' calls to python with python$*
	: # and make them executable
	for i in `find debian/python$** -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python$*\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

install-nover:
	: # twisted-doc
	mkdir -p debian/twisted-doc/usr/share/doc/twisted-doc
	cp -a doc/* debian/twisted-doc/usr/share/doc/twisted-doc/
	-find debian/twisted-doc -type d -name man | xargs rm -rf

	: # python-twisted-core
	mkdir -p debian/python-twisted-core/usr/bin
	for i in debian/python$(VER)-twisted-core/usr/bin/*; do \
	  iv=`basename $$i $(VER)`; \
	  ln -sf $${iv}$(VER) debian/python-twisted-core/usr/bin/$$iv; \
	done
	mkdir -p debian/python-twisted-core/usr/share/man/man1
	for i in debian/python$(VER)-twisted-core/usr/share/man/man1/*; do \
	  iv=`basename $$i $(VER).1`; \
	  ln -sf $${iv}$(VER).1.gz \
	    debian/python-twisted-core/usr/share/man/man1/$$iv.1.gz; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	rm -rf debian/twisted-doc-api/usr/share/doc/twisted-doc-api
	ln -s twisted-doc debian/twisted-doc-api/usr/share/doc/twisted-doc-api
	for p in python-twisted; do \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python$(VER)$${p#python*} debian/$$p/usr/share/doc/$$p; \
	done
	dh_installmenu -i
	dh_compress -i -X.py
	dh_fixperms -i
#	chmod +x debian/dh_python
#	debian/dh_python -i
	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
#	chmod +x debian/dh_python
#	debian/dh_python -a
	dh_python -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-nover install-prereq
