=== debian/watch ===
version=2
http://www.twistedmatrix.com/downloads/Twisted-([\d\.]*)\.tar\.bz2
