## twisted 8.2.0-3

=== debian/changelog ===
twisted (8.2.0-3) unstable; urgency=low

  * Depend on the standalone python-zope.interface{,-dbg} packages.
    Closes: #543132, #542932.
  * Remove plugins directory on purge. Closes: #527897.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 20:36:00 +0200

twisted (8.2.0-2) unstable; urgency=low

  * python-twisted-core: Regenerate the plugin cache as the last action
    in the postinst. Closes: #521663. LP: #361865.
  * Avoid md5/sha1 deprecation warnings. LP: #344782.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2009 13:54:12 +0200

twisted (8.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Feb 2009 12:15:25 +0100

twisted (8.2.0-0.1) unstable; urgency=low

  * New upstream version.

 -- Esteve Fernandez <esteve@fluidinfo.com>  Sat, 31 Jan 2009 14:40:47 +0100

twisted (8.1.0-4) unstable; urgency=low

  * Move the cache update from python-twisted into python-twisted-core.
    Closes: #500942.

    Plugins should update the cache on package install (postinst) and 
    removal (postrm remove) by updating the cache. See the postinst
    script of python-twisted-core how to update the cache.

  * Fix PortableGtkReactor (now able to run trial test suite with the gtk2
    reactor). Closes: #499311.
  * Don't install twisted/test/generator_failure_tests.py, syntax errors
    with python2.4. Closes: #492830.
  * Fix manhole to work with python-gtk2 (>= 2.10). Closes: #469105.
  * mktap(1) description of options fixed in an earlier version. 
    Closes: #278194.
  * mktap news fixed in an earlier version. Closes: #278196.
  * Fix build failure on GNU/kFreeBSD (Petr Salinger). Closes: #490770.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Oct 2008 21:22:21 +0200

twisted (8.1.0-3) unstable; urgency=low

  * Do not include twisted/plugins/dropin.cache, but generate it on
    configure, remove it on package removal. Closes: #489976.
  * twisted plugins have to update that cache on installation and removal.
    See the python-twisted-core postinst how to do so.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jul 2008 14:41:43 +0200

twisted (8.1.0-2) unstable; urgency=low

  * python-twisted-core: Include twisted/plugins/dropin.cache, Closes: #477103.
  * tap2deb.py: Fix some dependency names and names of binaries.
    Closes: #440454. LP: #120453.
  * python-twisted: Tighten dependencies.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Jul 2008 16:34:14 +0200

twisted (8.1.0-1) unstable; urgency=low

  * New upstream version.
  * python-twisted: Add an egg-info file. Closes: #477384.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2008 23:06:45 +0200

twisted (8.0.1-2) unstable; urgency=low

  * twisted/scripts/tap2deb.py: Create dependency on python-twisted.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Apr 2008 15:37:36 +0000

twisted (8.0.1-1) unstable; urgency=low

  * New upstream version.
  * Disable building the empty twisted-doc-api package. Closes: #313334.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 21:02:28 +0200

twisted (2.5.0-2) unstable; urgency=low

  * python-twisted-core: Suggest python-wxgtk2.8 as an alternative.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jun 2007 07:14:49 +0200

twisted (2.5.0-1) unstable; urgency=low

  * New upstream version, compatible with python2.5.
  * Merge from Ubuntu:
    - Build a python-twisted-dbg package.
    - Bump debhelper compatibility to v5.
    - Tighten dependencies of the python-twisted package.

 -- Matthias Klose <doko@debian.org>  Sun, 20 May 2007 19:29:53 +0200

twisted (2.4.0-3) unstable; urgency=medium

  * twisted/python/versions.py: Update to work with subversion 1.4.
    Closes: #405141.
  * python-twisted-core: Don't suggest python-wxgtk2.4 anymore.
    Closes: #391994.

 -- Matthias Klose <doko@debian.org>  Mon,  8 Jan 2007 00:01:04 +0100

twisted (2.4.0-2) unstable; urgency=high

  * python-twisted-core: Depend on python-twisted-bin.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 12:04:18 +0000

twisted (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * Convert packaging to use python-central (closes: #373392).
  * python-twisted-core: Do not suggest python-glade-1.2 (closes: #368514).
  * python-twisted.menu: Add python-tk as a required package for tkmtap.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 03:45:29 +0200
