=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5.0.37.1), python-central (>= 0.6.11), python-all-dev, python-all-dbg, python-zope.interface-dbg (>= 3.5.2-1maemo1) | python-zopeinterface-dbg, patch
Build-Conflicts: python-setuptools
XS-Python-Version: all
Standards-Version: 3.8.3

Package: python-twisted-core
Architecture: all
Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5.2-1maemo1) | python-zopeinterface (>= 3.2.1-3), python (>= 2.3.5-9)
Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8 | python-wxgtk2.6, python-profiler
Recommends: python-openssl, python-pam, python-serial
Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
Replaces: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.

Package: python-twisted-bin
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Conflicts: python2.3-twisted-bin, python2.4-twisted-bin
Replaces: python2.3-twisted-bin, python2.4-twisted-bin
Provides: ${python:Provides}
Suggests: python-twisted-bin-dbg
XB-Python-Version: ${python:Versions}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted-bin-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-zope.interface-dbg |python-zopeinterface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: Event-based framework for internet applications (debug extension)
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 .
 This package contains the extension built for the Python debug interpreter.

Package: twisted-doc
Section: doc
Architecture: all
Suggests: python-twisted
Recommends: www-browser | postscript-viewer | pdf-viewer, twisted-doc-api
Description: The official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

#Package: twisted-doc-api
#Section: doc
#Architecture: all
#Depends: twisted-doc
#Description: The auto-generated API docs of Twisted
# Epydoc-generated HTML API docs of Twisted classes, modules and functions.
# .
# Twisted is an event-based framework for internet applications
# It includes a web server, a telnet server, a multiplayer RPG engine, a 
# generic client and server for remote object access, and APIs for creating 
# new protocols.

Package: python-twisted
Architecture: all
Depends: ${python:Depends}, python-twisted-core (>= 8.2), python-twisted-conch (>= 1:8.2), python-twisted-mail (>= 8.2), python-twisted-lore (>= 8.2), python-twisted-names (>= 8.2), python-twisted-news (>= 8.2), python-twisted-runner (>= 8.2), python-twisted-web (>= 8.2), python-twisted-words (>= 8.2)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Event-based framework for internet applications (transitional package)
 This is a transitional package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.
