## twisted 10.2.0

=== debian/changelog ===
twisted (10.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Feb 2011 04:47:56 +0100

twisted (10.1.0-3) unstable; urgency=low

  * Tighten build dependency to build with a fixed dh_python2. Closes: #592410.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Aug 2010 11:42:19 +0200

twisted (10.1.0-2) unstable; urgency=low

  * Remove all plugin cache files before rebuilding the cache files
    for the installed python versions.
  * python-twisted: Depend on the 10.1 versions of the twisted packages.
  * Remove the plugin cache files when package is removed, not only if
    it is purged.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jul 2010 15:56:17 +0200

twisted (10.1.0-1) unstable; urgency=low

  * New upstream version.
  * Build using dh_python2 instead of dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 16:11:21 +0200

twisted (10.0.0-3) unstable; urgency=low

  * Add a trigger `twisted-plugins-cache' to rebuild the plugins cache.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Mar 2010 17:55:15 +0200

twisted (10.0.0-2) unstable; urgency=low

  * Include changes from 9.0.0-2 which got skipped
  * python-twisted depends on version >= 10.0 of other packages

 -- Free Ekanayaka <freee@debian.org>  Tue, 09 Mar 2010 13:32:00 +0100

twisted (10.0.0-1) unstable; urgency=low

  * New upstream version.
  * Add myself as uploader.
  * Bump standards version to 3.8.4

 -- Free Ekanayaka <freee@debian.org>  Mon, 08 Mar 2010 12:32:45 +0100

twisted (9.0.0-2) unstable; urgency=low

  * Suppress output on stderr in postrm. Closes: #566395.
  * Don't recommend twisted-doc-api. Closes: #566913.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2010 02:14:52 +0100

twisted (9.0.0-1) unstable; urgency=low

  * python-twisted: Depend on the python-twisted-* 9.0 packages.
  * python-twisted: Depend on python-zope.interface only. Closes: #557781.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 19:38:17 +0100

twisted (9.0.0-0) unstable; urgency=low

  * New upstream version.
  * tap2deb: Use date -R instead of 822-date. Closes: #550565.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 18:46:39 +0100
