=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 5.0.37.1), python-central (>= 0.6.11), python-all-dev, python-all-dbg, python-zope.interface-dbg (>= 3.5.2-1maemo1) | python-zopeinterface-dbg, patch
+Uploaders: Free Ekanayaka <freee@debian.org>
+Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-13~), python-all-dbg, python-zope.interface-dbg, patch
 Build-Conflicts: python-setuptools
 XS-Python-Version: all
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: python-twisted-core
 Architecture: all
-Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5.2-1maemo1) | python-zopeinterface (>= 3.2.1-3), python (>= 2.3.5-9)
+Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5), python (>= 2.3.5-9), ${misc:Depends}
 Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8 | python-wxgtk2.6, python-profiler
 Recommends: python-openssl, python-pam, python-serial
 Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
@@ -23,7 +24,7 @@
 
 Package: python-twisted-bin
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python2.3-twisted-bin, python2.4-twisted-bin
 Replaces: python2.3-twisted-bin, python2.4-twisted-bin
 Provides: ${python:Provides}
@@ -38,7 +39,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: python-zope.interface-dbg |python-zopeinterface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Depends: python-zope.interface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
 Description: Event-based framework for internet applications (debug extension)
  It includes a web server, a telnet server, a multiplayer RPG engine, a 
  generic client and server for remote object access, and APIs for creating 
@@ -48,9 +49,11 @@
 
 Package: twisted-doc
 Section: doc
+Priority: extra
 Architecture: all
-Suggests: python-twisted
-Recommends: www-browser | postscript-viewer | pdf-viewer, twisted-doc-api
+Depends: ${misc:Depends}
+Suggests: python-twisted, twisted-doc-api
+Recommends: www-browser | postscript-viewer | pdf-viewer
 Description: The official documentation of Twisted
  This contains various HOWTOs and overviews in various formats
  .
@@ -61,8 +64,9 @@
 
 #Package: twisted-doc-api
 #Section: doc
+#Priority: extra
 #Architecture: all
-#Depends: twisted-doc
+#Depends: twisted-doc, ${misc:Depends}
 #Description: The auto-generated API docs of Twisted
 # Epydoc-generated HTML API docs of Twisted classes, modules and functions.
 # .
@@ -73,7 +77,8 @@
 
 Package: python-twisted
 Architecture: all
-Depends: ${python:Depends}, python-twisted-core (>= 8.2), python-twisted-conch (>= 1:8.2), python-twisted-mail (>= 8.2), python-twisted-lore (>= 8.2), python-twisted-names (>= 8.2), python-twisted-news (>= 8.2), python-twisted-runner (>= 8.2), python-twisted-web (>= 8.2), python-twisted-words (>= 8.2)
+Priority: extra
+Depends: ${python:Depends}, python-twisted-core (>= 10.1), python-twisted-conch (>= 1:10.1), python-twisted-mail (>= 10.1), python-twisted-lore (>= 10.1), python-twisted-names (>= 10.1), python-twisted-news (>= 10.1), python-twisted-runner (>= 10.1), python-twisted-web (>= 10.1), python-twisted-words (>= 10.1), ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Event-based framework for internet applications (transitional package)
