=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 twersion := $(subst twisted-,,$(notdir $(CURDIR)))
 
-include /usr/share/pycentral-data/pycentral.mk
+include /usr/share/python/python.mk
 
 build: build-stamp
 build-stamp: $(PYVERS:%=build-python%)
@@ -30,8 +30,6 @@
 	dh_clean
 
 install: build-stamp install-prereq $(PYVERS:%=install-python%) install-nover
-	: # don't install generator_failure_tests.py, syntax error with python2.4
-	find debian -name 'generator_failure_tests.py*' | xargs -r rm -f
 
 install-prereq: build-stamp
 	dh_testdir
@@ -55,27 +53,29 @@
 	  1.5|2.0|2.1|2.2) ;; \
 	  *) rm -rf debian/python-twisted-core/usr/lib/python$*/*-packages/twisted/python/pymodules; \
 	esac
-	: # python2.5 only file
-	rm -f debian/python-twisted-core/usr/lib/python$*/*-packages/twisted/test/generator_failure_tests.py
 
 	: # python-twisted-bin
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/protocols/_c_urlarg.so \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/python/_epoll.so \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/test/raiser.so
+	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
+	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
+	    $(call py_libdir,$*)/twisted/python/_epoll.so \
+	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
+	    $(call py_libdir,$*)/twisted/test/raiser.so
 else
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/protocols/_c_urlarg.so \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/test/raiser.so
+	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
+	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
+	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
+	    $(call py_libdir,$*)/twisted/test/raiser.so
 endif
 
 	: # python-twisted
-	mkdir -p debian/python-twisted/usr/lib/python$*/$(call sitedir,$*)
+	mkdir -p debian/python-twisted/$(call py_libdir,$*)
 	sed 's/@twersion@/$(twversion)/' debian/Twisted.egg-info.in \
-		> debian/python-twisted/usr/lib/python$*/$(call sitedir,$*)/Twisted-$(twersion).egg-info
+		> debian/python-twisted/$(call py_libdir,$*)/Twisted-$(twersion).egg-info
 
 	: # Replace all '#!' calls to python with /usr/bin/python
 	: # and make them executable
@@ -103,7 +103,7 @@
 	-find debian/twisted-doc -type d -name man | xargs rm -rf
 
 	mkdir -p debian/python-twisted-core/usr/share/man/man1
-	for i in doc/man/{manhole,*tap*,trial,twistd}.1; do \
+	for i in doc/man/{manhole,*tap*,trial,twistd,pyhtmlizer}.1; do \
 	  cp -p $$i debian/python-twisted-core/usr/share/man/man1/; \
 	done
 
@@ -130,7 +130,7 @@
 	dh_installmenu -i
 	dh_compress -i -X.py
 	dh_fixperms -i
-	dh_pycentral -i
+	dh_python2 -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -148,7 +148,7 @@
 	    debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
 	dh_compress -a -X.py
 	dh_fixperms -a
-	dh_pycentral -a
+	dh_python2 -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
