## twisted 11.0.0

=== debian/changelog ===
twisted (11.0.0-2) unstable; urgency=low

  * python-twisted depends on version >= 11.0 of other packages.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Apr 2011 12:02:59 +0200

twisted (11.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2011 20:11:48 +0200
