=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
 Package: python-twisted
 Architecture: all
 Priority: extra
-Depends: ${python:Depends}, python-twisted-core (>= 10.1), python-twisted-conch (>= 1:10.1), python-twisted-mail (>= 10.1), python-twisted-lore (>= 10.1), python-twisted-names (>= 10.1), python-twisted-news (>= 10.1), python-twisted-runner (>= 10.1), python-twisted-web (>= 10.1), python-twisted-words (>= 10.1), ${misc:Depends}
+Depends: ${python:Depends}, python-twisted-core (>= 11.0), python-twisted-conch (>= 1:11.0), python-twisted-mail (>= 11.0), python-twisted-lore (>= 11.0), python-twisted-names (>= 11.0), python-twisted-news (>= 11.0), python-twisted-runner (>= 11.0), python-twisted-web (>= 11.0), python-twisted-words (>= 11.0), ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Event-based framework for internet applications (transitional package)
