=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,6 @@
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
 	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
 	    $(call py_libdir,$*)/twisted/python/_epoll.so \
 	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
@@ -66,7 +65,6 @@
 else
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
 	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
 	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
 	    $(call py_libdir,$*)/twisted/test/raiser.so
