## twisted 11.1.0

=== debian/changelog ===
twisted (11.1.0-1) unstable; urgency=low

  * New upstream version.
  * Drop suggestions on python-wxgtk2.6 and python-profiler.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Dec 2011 12:29:38 +0100
