=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-13~), python-all-dbg, python-zope.interface-dbg, patch
 Build-Conflicts: python-setuptools
 XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: python-twisted-core
 Architecture: all
 Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5), python (>= 2.3.5-9), ${misc:Depends}
-Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8 | python-wxgtk2.6, python-profiler
+Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8
 Recommends: python-openssl, python-pam, python-serial
 Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
 Replaces: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
@@ -54,7 +54,7 @@
 Depends: ${misc:Depends}
 Suggests: python-twisted, twisted-doc-api
 Recommends: www-browser | postscript-viewer | pdf-viewer
-Description: The official documentation of Twisted
+Description: Official documentation of Twisted
  This contains various HOWTOs and overviews in various formats
  .
  Twisted is an event-based framework for internet applications.
@@ -67,7 +67,7 @@
 #Priority: extra
 #Architecture: all
 #Depends: twisted-doc, ${misc:Depends}
-#Description: The auto-generated API docs of Twisted
+#Description: Auto-generated API docs of Twisted
 # Epydoc-generated HTML API docs of Twisted classes, modules and functions.
 # .
 # Twisted is an event-based framework for internet applications
@@ -81,6 +81,6 @@
 Depends: ${python:Depends}, python-twisted-core (>= 11.0), python-twisted-conch (>= 1:11.0), python-twisted-mail (>= 11.0), python-twisted-lore (>= 11.0), python-twisted-names (>= 11.0), python-twisted-news (>= 11.0), python-twisted-runner (>= 11.0), python-twisted-web (>= 11.0), python-twisted-words (>= 11.0), ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Description: Event-based framework for internet applications (transitional package)
- This is a transitional package that depends on the twisted core library and
+Description: Event-based framework for internet applications (dependency package)
+ This is a dependency package that depends on the twisted core library and
  all the libraries split out to separate packages starting with Twisted-2.0.1.
