=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 include /usr/share/python/python.mk
 
 build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: $(PYVERS:%=build-python%)
 	touch $@
 build-python%:
